
Redmine - Defect #16032

Repository.fetch_changesets > app/models/repository/git.rb:137:in `[]=': string not matched

(IndexError)

2014-02-05 18:05 - alan blount

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 2.4.3   

Resolution: Fixed Affected version: 2.3.3

Description

Issue

$ nice ruby script/rails runner "Repository.fetch_changesets" -e production

sh: 1: svn: not found

/var/lib/gems/1.8/gems/railties-3.2.13/lib/rails/commands/runner.rb:53: /mnt/wwwvolume1/ror/redmin

e-2.3/app/models/repository/git.rb:137:in `[]=': string not matched (IndexError)

        from /mnt/wwwvolume1/ror/redmine-2.3/app/models/repository/git.rb:137:in `fetch_changesets

'

        from /mnt/wwwvolume1/ror/redmine-2.3/app/models/repository.rb:333:in `fetch_changesets'

        from /var/lib/gems/1.8/gems/activerecord-3.2.13/lib/active_record/associations/collection_

proxy.rb:89:in `each'

        from /var/lib/gems/1.8/gems/activerecord-3.2.13/lib/active_record/associations/collection_

proxy.rb:89:in `send'

        from /var/lib/gems/1.8/gems/activerecord-3.2.13/lib/active_record/associations/collection_

proxy.rb:89:in `method_missing'

        from /mnt/wwwvolume1/ror/redmine-2.3/app/models/repository.rb:331:in `fetch_changesets'

        from /mnt/wwwvolume1/ror/redmine-2.3/app/models/repository.rb:330:in `each'

        from /mnt/wwwvolume1/ror/redmine-2.3/app/models/repository.rb:330:in `fetch_changesets'

        from (eval):1

        from /var/lib/gems/1.8/gems/railties-3.2.13/lib/rails/commands.rb:64:in `eval'

        from /var/lib/gems/1.8/gems/railties-3.2.13/lib/rails/commands/runner.rb:53

        from /var/lib/gems/1.8/gems/railties-3.2.13/lib/rails/commands.rb:64:in `require'

        from /var/lib/gems/1.8/gems/railties-3.2.13/lib/rails/commands.rb:64

        from script/rails:6:in `require'

        from script/rails:6

 Command taken from: 

http://www.redmine.org/projects/redmine/wiki/HowTo_setup_automatic_refresh_of_repositories_in_Redmine_on_commit

Environment

Environment:

  Redmine version                2.3.3.stable

  Ruby version                   1.8.7-p352 (2011-06-30) [x86_64-linux]

  Rails version                  3.2.13

  Environment                    production

  Database adapter               Mysql2

Redmine plugins:

  redmine_watcher_groups         0.0.1

 
$ git version

git version 1.7.9.5

 git is the only Enabled SCM I have enabled in Settings.

the local repositories I have setup and wired in are clone --mirror copies.

Associated revisions
http://www.redmine.org/projects/redmine/wiki/HowTo_setup_automatic_refresh_of_repositories_in_Redmine_on_commit


Revision 12848 - 2014-02-06 21:23 - Jean-Philippe Lang

Make sure that Repository#extra_info returns a Hash or nil (#16032).

Revision 12853 - 2014-02-07 09:09 - Jean-Philippe Lang

Merged r12848 (#16032).

History

#1 - 2014-02-06 21:23 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.4.3

- Resolution set to Fixed

This should be fixed in r12848.

#2 - 2014-02-07 00:16 - alan blount

Wow -- impressive turnaround -- thanks!

(suggestions on how to "limp through" until fixed?)

#3 - 2014-02-07 08:31 - Jean-Philippe Lang

Setting the repositories.extra_info column to NULL for the incriminated repository should prevent this error.

#4 - 2014-02-07 09:09 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
